import path from "path";
import { PUBLIC_ROOT_DIR } from "./path-constants";
import type { Cache } from "./get-cache";
import { mkdirAsync, writeFileAsync } from "../utils/fs";

const CACHE_FILENAME = "cache.json";

export async function setCache(data: Cache) {
  const cacheString = JSON.stringify(data, undefined, 2);
  console.log(`[cache] Post-build cache generated by cli ${data.cliVersion}`);

  await mkdirAsync(path.resolve(PUBLIC_ROOT_DIR), { recursive: true });

  const cacheOutputPath = path.resolve(PUBLIC_ROOT_DIR, CACHE_FILENAME);
  await writeFileAsync(cacheOutputPath, cacheString);
  console.log(`[cache] Post-build cache written: ${cacheOutputPath}`);
}
